package alx.p43_files;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public class WczytajWszystko2 {

	public static void main(String[] args) {
		Path plik = Paths.get("pan-tadeusz.txt");
		Path plik2 = Paths.get("posortowane2.txt");
		
		try {
			List<String> wyniki = Files.lines(plik)
					.filter(s -> s.trim().length() > 10)
					.map(s -> s.trim().toUpperCase())
					.sorted()
					.collect(Collectors.toList());
			
			Files.write(plik2, wyniki);
			System.out.println("Gotowe");
			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
